Contents

# Eof Function

Yoo qareen faayilii dhuma faayilichaa irra gahe murteessi.

### Syntax:

    Eof (intexpression As Integer)

### Return value:

Bool

### Parameters:

Intexpression: Himannoo itergaa kamiyyuu kan baay'ina faayilii banamee qoratu.

Gara naqa darbettii yommuu dhuftu dhuma faayilii irratti dogogora hanbisuuf EOF fayyadami. Yoo naqa ykn hima argannaa fayilii irra dubbisuuf fayyadamtu faayiliin qaree baay'ina lakkofsa baayitii dubbifameen ola'ana.Yoo dhumni faayilii dhaqabame,EOF gatii "Dhugaa"(-1) deebisa.

### Error codes:

5 Ejjatoo fashalaan waamu

52 Maqaa faayiylii yookiin lakkoofsa yaraa

### Example:

      Sub ExampleWorkWithAFile
          Dim iNumber As Integer
          Dim sLine As String
          Dim aFile As String
          Dim sMsg As String
          aFile = "C:\Users\ThisUser\data.txt"
          iNumber = Freefile
          Open aFile For Output As #iNumber
          Maxxansa #iNumber, "Kun Sarara barruuti"
          Print #iNumber, "Kun sarara barruu kan birooti"
          Close #iNumber
          iNumber = Freefile
          Open aFile For Input As iNumber
          While Not eof(iNumber)
              Line Input #iNumber, sLine
              If sLine <>"" Then
                  sMsg = sMsg & sLine & chr(13)
              End If
          Wend
          Close #iNumber
          MsgBox sMsg
      End Sub

      Sub ExampleWorkWithAFile
          Dim iNumber As Integer
          Dim sLine As String
          Dim aFile As String
          Dim sMsg As String
          aFile = "~/data.txt"
          iNumber = Freefile
          Open aFile For Output As #iNumber
          Maxxansa #iNumber, "Kun Sarara barruuti"
          Print #iNumber, "Kun sarara barruu kan birooti"
          Close #iNumber
          iNumber = Freefile
          Open aFile For Input As iNumber
          While Not eof(iNumber)
              Line Input #iNumber, sLine
              If sLine <>"" Then
                  sMsg = sMsg & sLine & chr(13)
              End If
          Wend
          Close #iNumber
          MsgBox sMsg
      End Sub

Matadureewwan Walfakkatan

Close Statement

Print# Statement

Input# Statement

Open Statement